from threading import Thread
import uvicorn
import entryserver
import conductor


def run_fastapi():
    uvicorn.run(entryserver.app, host='0.0.0.0', port=8000)

if __name__ == '__main__':
    fastapi_thread = Thread(target=run_fastapi)
    reader_thread = Thread(target=conductor.main)
    
    fastapi_thread.start()
    reader_thread.start()
    
    fastapi_thread.join()
    reader_thread.join()
