from fastapi import FastAPI, HTTPException, Request
from fastapi.responses import JSONResponse
import json

app = FastAPI()

@app.post('/data')
async def receive_data(request: Request):
    try:
        temp = 0
        data = await request.json()
        print(str(data))
        with open('/usr/src/app/config.json', 'r') as f:
            file = json.load(f)#json.dump(data, f)
            print(file)
            print(type(file))
            if data["MLmodel"] == "cnn":
                file["image"] = "docker.io/library/cnn_ml"
            elif data["MLmodel"] == "rnn":
                file["image"] = "docker.io/library/rnn_ml"  
            elif data["MLmodel"] == "hybrid":
                file["image"] = "docker.io/library/hybrid_ml"  
            elif data["MLmodel"] == "xgb":
                file["image"] = "docker.io/library/xgb_ml"  
            elif data["MLmodel"] == "svm":
                file["image"] = "docker.io/library/svm_ml"  
            elif data["MLmodel"] == "rf":
                file["image"] = "docker.io/library/rf_ml"
            elif data["MLmodel"] == "arima":
                file["image"] = "docker.io/library/arima_ml"
            elif data["MLmodel"] == "lstm":
                file["image"] = "docker.io/library/lstm_ml"
            elif data["MLmodel"] == "sarima":
                file["image"] = "docker.io/library/sarima_ml"
            else:
                pass 
            file["environment"]["DATASET"] = data["Dataset"]
            temp = file
        
        with open('/usr/src/app/config.json', 'w') as f:
             json.dump(temp, f, indent=4)
        return 'Data received'
    except Exception as e:
        error_msg = f"Error writing to file: {e}"
        app.logger.error(error_msg)
        raise HTTPException(status_code=500, detail=error_msg)
